#!/usr/bin/env python
#
#     Copyright (C) 2002 Stas Z <stas@linux.isbeter.nl>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Script to install childsplay

import sys,os,shutil,compileall,fnmatch

## make the LettersData dir with the symlinks
def make_lettersdata(cwd):
    if os.path.exists(os.path.join(cwd,'LettersData')): # better save then sorry:(
        print '====================================================================='
        print ' Found a (old?) directory LettersData. This directory is used to store\
        \n the translated words/symlinks.'
        print '====================================================================='
        prompt = ' OK to remove'+os.path.join(cwd,'LettersData')+'\n default action is to keep the dir.(y/n) '
        choice = raw_input(prompt)
        if choice.upper() == 'Y':
            shutil.rmtree(os.path.join(cwd,'LettersData'))
        else:
            print '============================'
            print ' Keeping original directory'
            print '============================'
    
    if not os.path.exists(os.path.join(cwd,'LettersData')):
        print >> sys.stderr,'==============================================',\
        '\n Directory LettersData doesn\'t exists.','\n Create the directory and symlinks...',\
        '\n========================================',
        try:
            os.mkdir(os.path.join(cwd,'LettersData'))
        except OSError:
            print '************* ERROR ***************'
            print >> sys.stderr,'\n Can\'t make directory for letters game','\n Check your permissions'
            raise SystemExit

        srcdir = os.path.join(cwd,'MemoryData')
        destdir = os.path.join(cwd,'LettersData')
        fnames = []
        for file in os.listdir(srcdir):
            if fnmatch.fnmatch(file,'*.png'):
                fnames.append((file))
                os.symlink(os.path.join(srcdir,file),os.path.join(destdir,file))
        print >> sys.stderr, '\ndone.'
    
#print sys.argv
if len(sys.argv) == 3:
    if sys.argv[1] == '--compile':
        try:
            compileall.compile_dir(sys.argv[2],)
        except TypeError:
            compileall.compile_dir(sys.argv[2])
    elif sys.argv[1] == '--makedir':
        make_lettersdata(sys.argv[2])

else:
    make_lettersdata(os.path.join(os.getcwd(),'lib'))
    


