#!/usr/bin/env python
#
#     Copyright (C) 2002 Stas Z <stas@linux.isbeter.nl>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""  letters-trans.py - A script to translate and/or create the symlinks to the
  pictures in your own language. This way the letters games-module uses words
  in your language.
  WARNING, this script checks nothing and can mess up the LettersData directory.
  Please read the README.letters-trans.
  *****************************************************************
  If you want to quit, or don't want to change anything, Q [enter].
  *****************************************************************
  """
import os,fnmatch,operator,sys


if len(sys.argv) > 1:
    cwd = sys.argv[1]
else:
    print 'Usage, letters-trans.py path-to-childsplay'
    raise SystemExit
print __doc__

basedir = os.path.join(cwd,'lib','LettersData')
if not os.path.exists(basedir):
    print 'Can\'t find',basedir
    raise SystemExit

wlist = []
for file in os.listdir(basedir):
    if fnmatch.fnmatch(file,'*.png'):
        wlist.append(file)
# loose the .png
wrdlist = map(operator.getslice,wlist,(0,)*len(wlist),(-4,)*len(wlist))
for word in wrdlist:
    prompt = 'Give the translation off: '+word+' ,or Q to quit -> '
    trans = raw_input(prompt)
    if trans == '':
        continue
    elif trans == 'Q':
        break
    old = os.path.join(basedir,word+'.png')
    new = os.path.join(basedir,trans+'.png')
    try:
        os.rename(old,new)
    except OSError:
        print >> sys.stderr,'ERROR renaming ',word
        raise SystemExit
